Bug 193804 - Review Request: glitz
Review Request: glitz
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 192436
  Show dependency treegraph
 
Reported: 2006-06-01 14:42 EDT by Eric Work
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-08 18:11:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 192436 None None None Never

  None (edit)
Description Eric Work 2006-06-01 14:42:00 EDT
Spec URL: http://www.ece.ucdavis.edu/~ewwork/repo/5/SPECS/glitz.spec
SRPM URL: http://www.ece.ucdavis.edu/~ewwork/repo/5/SRPMS/glitz-0.5.6-1.src.rpm

Description:
Glitz is an OpenGL image compositing library. Glitz provides Porter/Duff
compositing of images and implicit mask generation for geometric primitives
including trapezoids, triangles, and rectangles.

This had been tested with mock and rpmlint.  This package is required to build Xgl.
Comment 1 Ralf Corsepius 2006-06-01 22:44:55 EDT
Some comments:
* IMO, it should be considered to split this package into 2 subpackages: glitz
and glitz-glx, because the package internally consists of libglitz and several
backends, with libglitz-glx being one them.

Splitting it would allow more fine-grained deps, and thereby would help avoid
unnecessary deps of apps/libs based on glitz.

* The deps of the devel package don't seem to be correct:
- libglitz doesn't seem to depend on any X or GL library.
- libglitz-glx seems to depend libX11-devel and libGL-devel, but not on further
libX*-devel, in particular it doesn't not depend on libXt-devel.

* The package ships manpages, but doesn't install them. May-be it's worth
considering to install them.

* The configure script carries several options defaulting to true:
  --disable-glx           Disable glitz's GLX backend
  --disable-agl           Disable glitz's AGL backend
  --enable-egl            Enable glitz's EGL backend
  --disable-wgl           Disable glitz's WGL backend
This will render building this package outside of a chroot-environment
non-deterministic, should one of these GL backends land in Fedora.
I.e. I recommend to add 
--enable-glx --disable-agl --disable-egl --disable-wgl to %configure
Comment 2 Eric Work 2006-06-02 00:53:35 EDT
I will be gone this weekend, but I will work on these issues in the near future
and update the packages for re-evaluation.  Thanks for the feedback.
Comment 3 Eric Work 2006-06-05 15:37:41 EDT
Updated the SPEC with your recommendations.

SPEC file: http://www.ece.ucdavis.edu/~ewwork/repo/testing/SPECS/glitz.spec
SRPM file:
http://www.ece.ucdavis.edu/~ewwork/repo/testing/SRPMS/glitz-0.5.6-2.src.rpm
Comment 4 Ralf Corsepius 2006-06-07 05:55:11 EDT
Some issues:
- glitz-devel contains pkg-config files, it therefore should
Requires: pkgconfig

- glitz-glx-devel contains pkg-config files, it therefore should
Requires: pkgconfig

- glitz-glx-devel depends on glitz-devel, it therefore must
Requires: glitz-devel
or
Requires: glitz-devel = %{version}-%{release}

- man3 manpages are programming manuals.
They should be part of the *-devel packages.
Comment 6 Ralf Corsepius 2006-06-07 11:53:02 EDT
APPROVED.

Note You need to log in before you can comment on or make changes to this bug.